<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.commerce.channel.web.internal.frontend.data.set.view.table.CommercePaymentMethodTableFDSView" enabled="false" immediate="true">
  <property name="frontend.data.set.name" type="String" value="com_liferay_commerce_channel_web_internal_portlet_CommerceChannelsPortlet-paymentMethod"/>
  <property name="fds.data.provider.key" type="String" value="com_liferay_commerce_channel_web_internal_portlet_CommerceChannelsPortlet-paymentMethod"/>
  <service>
    <provide interface="com.liferay.frontend.data.set.provider.FDSActionProvider"/>
    <provide interface="com.liferay.frontend.data.set.provider.FDSDataProvider"/>
    <provide interface="com.liferay.frontend.data.set.view.FDSView"/>
  </service>
  <reference name="_commerceChannelService" interface="com.liferay.commerce.product.service.CommerceChannelService" field="_commerceChannelService"/>
  <reference name="_commercePaymentMethodGroupRelService" interface="com.liferay.commerce.payment.service.CommercePaymentMethodGroupRelService" field="_commercePaymentMethodGroupRelService"/>
  <reference name="_commercePaymentMethodRegistry" interface="com.liferay.commerce.payment.method.CommercePaymentMethodRegistry" field="_commercePaymentMethodRegistry"/>
  <reference name="_fdsTableSchemaBuilderFactory" interface="com.liferay.frontend.data.set.view.table.FDSTableSchemaBuilderFactory" field="_fdsTableSchemaBuilderFactory"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <implementation class="com.liferay.commerce.channel.web.internal.frontend.data.set.view.table.CommercePaymentMethodTableFDSView"/>
</scr:component>
